org.apache.olingo.odata2.client.core.ep.deserializer

## Class JsonEntryDeserializer

- java.lang.Object
- - org.apache.olingo.odata2.client.core.ep.deserializer.JsonEntryDeserializer

-     public class JsonEntryDeserializer
      extends Object

  This class Deserializes JsonEntry payloads

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonEntryDeserializer(com.google.gson.stream.JsonReader reader, org.apache.olingo.odata2.core.ep.aggregator.EntityInfoAggregator eia, DeserializerProperties readProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.olingo.odata2.core.ep.feed.JsonFeedEntry` | `readFeedEntry()` Returns Feed deserializing feed entry
    `ODataEntry` | `readSingleEntry()` Returns ODataEntry deserializing a single entry

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonEntryDeserializer

          public JsonEntryDeserializer(com.google.gson.stream.JsonReader reader,
                                       org.apache.olingo.odata2.core.ep.aggregator.EntityInfoAggregator eia,
                                       DeserializerProperties readProperties)

      Parameters:
        `reader` -
        `eia` -
        `readProperties` -

  - ### Method Detail

    - #### readSingleEntry

          public ODataEntry readSingleEntry()
                                     throws EntityProviderException

      Returns ODataEntry deserializing a single entry
      Returns:
        ODataEntry
      Throws:
        `EntityProviderException`

    - #### readFeedEntry

          public org.apache.olingo.odata2.core.ep.feed.JsonFeedEntry readFeedEntry()
                                                                            throws EdmException,
                                                                                   EntityProviderException,
                                                                                   IOException

      Returns Feed deserializing feed entry
      Returns:
        JsonFeedEntry
      Throws:
        `EdmException`
        `EntityProviderException`
        `IOException`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.